WorkflowApp (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.network.datacenter

## Class WorkflowApp

- java.lang.Object
- - org.cloudbus.cloudsim.network.datacenter.AppCloudlet
  - - org.cloudbus.cloudsim.network.datacenter.WorkflowApp

-     public class WorkflowApp
      extends AppCloudlet

  WorkflowApp is an example of AppCloudlet having three communicating tasks. Task A and B sends the data (packet) while Task C receives them Please refer to following publication for more details: Saurabh Kumar Garg and Rajkumar Buyya, NetworkCloudSim: Modelling Parallel Applications in Cloud Simulations, Proceedings of the 4th IEEE/ACM International Conference on Utility and Cloud Computing (UCC 2011, IEEE CS Press, USA), Melbourne, Australia, December 5-7, 2011.
  Since:
    CloudSim Toolkit 1.0
  Author:
    Saurabh Kumar Garg

- - ### Field Summary

    - ### Fields inherited from class org.cloudbus.cloudsim.network.datacenter.AppCloudlet

      `accuracy, APP_MC, APP_Workflow, appID, clist, deadline, exeTime, numbervm, requestclass, type, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowApp(int type, int appID, double deadline, int numbervm, int userId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createCloudletList(List<Integer> vmIdList)` An example of creating APPcloudlet

    - ### Methods inherited from class org.cloudbus.cloudsim.network.datacenter.AppCloudlet

      `getClist`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowApp

          public WorkflowApp(int type,
                     int appID,
                     double deadline,
                     int numbervm,
                     int userId)

  - ### Method Detail

    - #### createCloudletList

          public void createCloudletList(List<Integer> vmIdList)

      Description copied from class: `AppCloudlet`
      An example of creating APPcloudlet
      Overrides:
        `createCloudletList` in class `AppCloudlet`
      Parameters:
        `vmIdList` - VMs where Cloudlet will be executed

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.